.\" $NetBSD: btkbd.4,v 1.4 2009/05/17 01:00:57 fair Exp $
.\"
.\" Copyright (c) 2006 Itronix Inc.
.\" All rights reserved.
.\"
.\" Written by Iain Hibbert for Itronix Inc.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of Itronix Inc. may not be used to endorse
.\"    or promote products derived from this software without specific
.\"    prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY ITRONIX INC. ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ITRONIX INC. BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
.\" ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd May 16, 2009
.Dt BTKBD 4
.Os
.Sh NAME
.Nm btkbd
.Nd Bluetooth keyboard support
.Sh SYNOPSIS
.Cd "btkbd*  at bthidev? reportid ?"
.Cd "wskbd*  at btkbd? console ?"
.Pp
.Cd "options BTKBD_REPEAT"
.Cd "options BTKBD_LAYOUT=XXX"
.Sh DESCRIPTION
The
.Nm
driver provides support for Bluetooth wireless keyboards.
.Pp
Bluetooth keyboards are configured using the
.Xr btdevctl 8
program, and provide system access through the
.Xr wscons 4
driver.
.Sh SEE ALSO
.Xr bluetooth 4 ,
.Xr bthidev 4 ,
.Xr wskbd 4 ,
.Xr btdevctl 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 4.0
and was written by
.An Iain Hibbert
under the sponsorship of Itronix, Inc.
.Sh BUGS
Due to the configuration and connection requirements, Bluetooth keyboards
cannot be used until
.Nx
is fully booted.
.Pp
Bluetooth keyboards cannot be the
.Nx
system console.
